package sample;
/**
 * Bean implementation class for Enterprise Bean: ConvertTemperature
 */
public class ConvertTemperatureBean implements javax.ejb.SessionBean {
	/**
	  * Converts a temperature in celsius to a temperature in
	  * fahrenheit. 
	 */
	public double celsiusToFahrenheit( double celsiusValue ) 
	{
	  return (celsiusValue * 9.0 / 5.0) + 32.0;
	}
	
	/**
	  * Converts a temperature in fahrenheit to a temperature in
	  * celsius. 
	 */
	public double fahrenheitToCelsius( double fahrenheitValue )
	{
	  return (fahrenheitValue - 32.0) * 5.0 / 9.0;
	}	
	
	private javax.ejb.SessionContext mySessionCtx;
	/**
	 * getSessionContext
	 */
	public javax.ejb.SessionContext getSessionContext() {
		return mySessionCtx;
	}
	/**
	 * setSessionContext
	 */
	public void setSessionContext(javax.ejb.SessionContext ctx) {
		mySessionCtx = ctx;
	}
	/**
	 * ejbCreate
	 */
	public void ejbCreate() throws javax.ejb.CreateException {
	}
	/**
	 * ejbActivate
	 */
	public void ejbActivate() {
	}
	/**
	 * ejbPassivate
	 */
	public void ejbPassivate() {
	}
	/**
	 * ejbRemove
	 */
	public void ejbRemove() {
	}
}