package sample;
/**
 * Remote interface for Enterprise Bean: ConvertTemperature
 */
public interface ConvertTemperature extends javax.ejb.EJBObject {
	/**
	 * Converts a temperature in celsius to a temperature in
	 * fahrenheit. 
	 */
	public double celsiusToFahrenheit(double celsiusValue)
		throws java.rmi.RemoteException;
	/**
	 * Converts a temperature in fahrenheit to a temperature in
	 * celsius. 
	 */
	public double fahrenheitToCelsius(double fahrenheitValue)
		throws java.rmi.RemoteException;
}